Skip to content

Get account by ID (v1)
deprecated

Request

This is a deprecated v1 endpoint. For new integrations please use the v2 get endpoint.

Get recipient account info by ID.

Security
UserToken
Path
accountIdinteger, (int64)required

Recipient account ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/accounts/{accountId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

V1 recipient account details.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Recipient account ID.

Example:40000000
businessinteger or null, (int64)

Business profile ID (if applicable).

Example:null
profileinteger, (int64)

Personal or business profile ID.

Example:30000000
accountHolderNamestring

Recipient full name.

Example:"John Doe"
currencystring

3 character currency code.

Example:"GBP"
countrystring

2 character country code.

Example:"GB"
typestring

Recipient type.

Example:"sort_code"
detailsobject

Currency-specific fields. All possible fields are returned, with unused fields set to null.

userinteger, (int64)

User that created or owns this recipient.

Example:10000000
activeboolean

Status of the recipient.

Example:true
ownedByCustomerboolean

Whether this account is owned by the sending user.

Example:false
confirmationsobject

Verification results for the recipient's details.

Response
{ "id": 40000000, "business": null, "profile": 30000000, "accountHolderName": "John Doe", "currency": "GBP", "country": "GB", "type": "sort_code", "details": { "legalType": "PRIVATE", "sortCode": "040075", "accountNumber": "37778842" }, "user": 10000000, "active": true, "ownedByCustomer": false, "confirmations": { "acceptedOutcomes": false, "acceptedAt": null, "quoteId": null, "outcomes": [ {} ] } }